| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IIncidentSvc Class Reference

`#include <GaudiKernel/IIncidentSvc.h>`

Inheritance diagram for IIncidentSvc:

[legend]
Collaboration diagram for IIncidentSvc:

[legend]
List of all members.

## Detailed Description

The interface implemented by the IncidentSvc service.

It is used by Listeners to declare themselves that they are interested by Incidents of a certain type and by Incident originators.

Author:
  Pere Mato

Definition at line 24 of file IIncidentSvc.h.

## Public Member Functions
virtual void | addListener (IIncidentListener *lis, const std::string &type="", long priority=0, bool rethrow=false, bool singleShot=false)=0
| Add listener.
virtual void | removeListener (IIncidentListener *lis, const std::string &type="")=0
| Remove listener.
virtual void | fireIncident (const Incident &incident)=0
| Fire an Incident.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IIncidentSvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 28 of file IIncidentSvc.h.

References IID_IIncidentSvc.

    00028 { return IID_IIncidentSvc; }

virtual void IIncidentSvc::addListener | ( | IIncidentListener * | lis,
|  | const std::string & | type = `""`,
|  | long | priority = `0`,
|  | bool | rethrow = `false`,
|  | bool | singleShot = `false` |
| ) |  |  | `[pure virtual]`

Add listener.

Parameters:

  | lis | Listener address
  | type | Incident type
  | priority | Priority in handling incident

Implemented in IncidentSvc.

Referenced by HistorySvc::initialize(), FastContainersSvc::initialize(), DataListenerSvc::initialize(), MinimalEventLoopMgr::initialize(), and DataOnDemandSvc::setup().

virtual void IIncidentSvc::removeListener | ( | IIncidentListener * | lis,
|  | const std::string & | type = `""` |
| ) |  |  | `[pure virtual]`

Remove listener.

Parameters:

  | lis | Listener address
  | type | Incident type

Implemented in IncidentSvc.

Referenced by DataOnDemandSvc::finalize(), FastContainersSvc::finalize(), MinimalEventLoopMgr::finalize(), and DataOnDemandSvc::reinitialize().

virtual void IIncidentSvc::fireIncident | ( | const Incident & | incident | ) | `[pure virtual]`

Fire an Incident.

Parameters:

  | Incident | being fired

Implemented in IncidentSvc.

Referenced by EventLoopMgr::executeEvent(), DataStreamTool::finalizeStream(), DataSvc::handleDataFault(), DLLClassManager::loadModule(), DataSvc::loadObject(), EventLoopMgr::nextEvent(), and EventLoopMgr::stop().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IIncidentSvc.h